package com.cool.store.enums.HqtEnum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 红圈通装修等级枚举类
 * </p>
 *
 * @author wangff
 * @since 2026/1/19
 */
@Getter
@AllArgsConstructor
public enum HqtDecorationLevelEnum {
    OPTION713("option713", "旗舰店", "decoration_level_flagship_store"),
    OPTION714("option714", "A标店", "decoration_level_a_standard"),
    OPTION715("option715", "标准店", "decoration_level_standard_store"),
    ;

    /**
     * 红圈通编码
     */
    private final String code;

    /**
     * 描述
     */
    private final String msg;

    /**
     * 字典项编码
     */
    private final String columnCode;

    public static HqtDecorationLevelEnum getByColumnCode(String columnCode) {
        for (HqtDecorationLevelEnum value : HqtDecorationLevelEnum.values()) {
            if (value.columnCode.equals(columnCode)) {
                return value;
            }
        }
        return null;
    }
}
